<template>
    <div class="getting-started">
        <div class="title-wrapper">
            <div class="--margin"></div>
            <div class="titles">
                <h1 class="title">Getting Started</h1>
                <h2 class="subtitle">Choose Your Plan</h2>
            </div>
            <div class="--margin"></div>
        </div>
        <div class="plans-wrapper">
            <div class="--margin"></div>
            <div class="plans">
                <tab-group>
                    <tab-item label="Guest">
                        <template v-slot:features>
                            <ul>
                                <li>Free.</li>
                                <li>Offline Access</li>
                                <li>
                                    Access From
                                    <strong>Only</strong> One Browser.
                                </li>
                                <li>Supported by Ads.</li>
                            </ul>
                        </template>
                        <template v-slot:action>
                            <button @click="handleLoginAsGuest" class="cta-button">Log In As Guest</button>
                        </template>
                    </tab-item>
                    <tab-item :disabled="true" label="Premium">
                        <template v-slot:features>
                            <ul>
                                <li>Everything in Guest Account.</li>
                                <li>
                                    Login in from
                                    <strong>any</strong> device.
                                </li>
                                <li>No Ads.</li>
                            </ul>
                        </template>
                        <template v-slot:action>
                            <button class="cta-button">Log In As Guest</button>
                        </template>
                        <template v-slot:alert>
                            <div class="flex justify-center">
                                <span
                                    class="text-6xl my-6 text-brand-black bg-gray-200 px-4 py-2 rounded"
                                >Coming Soon</span>
                            </div>
                        </template>
                    </tab-item>
                </tab-group>
            </div>
            <div class="--margin"></div>
        </div>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import TabGroup from './components/TabGroup.vue'
import TabItem from './components/TabItem.vue'

@Component({
    components: {
        TabGroup,
        TabItem,
    },
})
export default class App extends Vue {
    handleLoginAsGuest() {
        this.$router.push({ name: 'guest-signup' })
    }
}
</script>